#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'serverconfigwidget.ui'
**
** Created: 2016-04-15T21:11:24
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "serverconfigwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ServerConfigWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ServerConfigWidget::ServerConfigWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ServerConfigWidget" );
    ServerConfigWidgetLayout = new QVBoxLayout( this, 11, 6, "ServerConfigWidgetLayout"); 

    Layout7 = new QGridLayout( 0, 1, 1, 0, 6, "Layout7"); 

    Layout4 = new QHBoxLayout( 0, 0, 6, "Layout4"); 

    m_hostCombo = new KComboBox( FALSE, this, "m_hostCombo" );
    m_hostCombo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, m_hostCombo->sizePolicy().hasHeightForWidth() ) );
    m_hostCombo->setEditable( TRUE );
    Layout4->addWidget( m_hostCombo );

    m_addButton = new QPushButton( this, "m_addButton" );
    Layout4->addWidget( m_addButton );

    m_removeButton = new QPushButton( this, "m_removeButton" );
    Layout4->addWidget( m_removeButton );

    Layout7->addLayout( Layout4, 0, 1 );

    Layout6 = new QHBoxLayout( 0, 0, 6, "Layout6"); 

    m_portInput = new KIntSpinBox( this, "m_portInput" );
    m_portInput->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, m_portInput->sizePolicy().hasHeightForWidth() ) );
    Layout6->addWidget( m_portInput );

    m_autoPort = new QCheckBox( this, "m_autoPort" );
    Layout6->addWidget( m_autoPort );
    Spacer3 = new QSpacerItem( 200, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout6->addItem( Spacer3 );

    Layout7->addLayout( Layout6, 1, 1 );

    m_hostLabel = new QLabel( this, "m_hostLabel" );

    Layout7->addWidget( m_hostLabel, 0, 0 );

    m_portLabel = new QLabel( this, "m_portLabel" );

    Layout7->addWidget( m_portLabel, 1, 0 );
    ServerConfigWidgetLayout->addLayout( Layout7 );

    m_useAuth = new QCheckBox( this, "m_useAuth" );
    ServerConfigWidgetLayout->addWidget( m_useAuth );

    Layout12 = new QHBoxLayout( 0, 0, 6, "Layout12"); 
    Spacer1 = new QSpacerItem( 16, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    Layout12->addItem( Spacer1 );

    Layout6_2 = new QGridLayout( 0, 1, 1, 0, 6, "Layout6_2"); 

    m_userLabel = new QLabel( this, "m_userLabel" );

    Layout6_2->addWidget( m_userLabel, 0, 0 );

    m_passEdit = new KLineEdit( this, "m_passEdit" );

    Layout6_2->addWidget( m_passEdit, 1, 1 );

    m_passLabel = new QLabel( this, "m_passLabel" );

    Layout6_2->addWidget( m_passLabel, 1, 0 );

    m_userEdit = new KLineEdit( this, "m_userEdit" );

    Layout6_2->addWidget( m_userEdit, 0, 1 );
    Layout12->addLayout( Layout6_2 );
    ServerConfigWidgetLayout->addLayout( Layout12 );
    languageChange();
    resize( QSize(455, 321).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_hostCombo, m_addButton );
    setTabOrder( m_addButton, m_removeButton );
    setTabOrder( m_removeButton, m_portInput );
    setTabOrder( m_portInput, m_useAuth );
    setTabOrder( m_useAuth, m_userEdit );
    setTabOrder( m_userEdit, m_passEdit );

    // buddies
    m_hostLabel->setBuddy( m_hostCombo );
    m_portLabel->setBuddy( m_portInput );
    m_userLabel->setBuddy( m_userEdit );
    m_passLabel->setBuddy( m_passEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ServerConfigWidget::~ServerConfigWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ServerConfigWidget::languageChange()
{
    m_addButton->setText( tr2i18n( "&Add" ) );
    m_removeButton->setText( tr2i18n( "&Remove" ) );
    QToolTip::add( m_portInput, tr2i18n( "TCP/IP Port Number of the Indexing Server" ) );
    m_autoPort->setText( tr2i18n( "Au&to" ) );
    QToolTip::add( m_autoPort, tr2i18n( "Tries to automatically determine the port. This works only for local servers." ) );
    m_hostLabel->setText( tr2i18n( "Ho&stname:" ) );
    m_portLabel->setText( tr2i18n( "P&ort:" ) );
    m_useAuth->setText( tr2i18n( "Per&form authentication" ) );
    m_userLabel->setText( tr2i18n( "&Username:" ) );
    m_passLabel->setText( tr2i18n( "&Password:" ) );
}

/****************************************************************************
** ServerConfigWidget meta object code from reading C++ file 'serverconfigwidget.h'
**
** Created: Fri Apr 15 21:11:24 2016
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "serverconfigwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ServerConfigWidget::className() const
{
    return "ServerConfigWidget";
}

QMetaObject *ServerConfigWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ServerConfigWidget( "ServerConfigWidget", &ServerConfigWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ServerConfigWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ServerConfigWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ServerConfigWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ServerConfigWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ServerConfigWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ServerConfigWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ServerConfigWidget.setMetaObject( metaObj );
    return metaObj;
}

void* ServerConfigWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ServerConfigWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ServerConfigWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ServerConfigWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ServerConfigWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ServerConfigWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
